Subject: Re: bug#7917: [PATCH] cc-mode: not all templates are types

From: Alan Mackenzie <[email-masked]>
Date: Mon, 29 Feb 2016 22:14:17 +0000

Hello, Lars.

On Mon, Feb 29, 2016 at 01:51:29PM +1100, Lars Ingebrigtsen wrote:
> Alan Mackenzie <[email-masked]> writes:

> > Before applying any patches like this to CC Mode, could you please run
> > them through the CC Mode test suite first (or ask Daniel (the OP) or me
> > to do it).  Thanks!

> Is the CC Mode test suite included in the Emacs test/ directory
> somewhere?  I looked around and didn't really find anything...

No, it's only in CC Mode (the project) itself.  It's build up from
around 400 mostly small source files, each of which tests either
indentation, fontification, or both, together with an elisp file which
drives everything.

The (Mercurial) repository of CC Mode can be found via
<http://[email-masked]/hgaccess.php>.

-- 
Alan Mackenzie (Nuremberg, Germany).